## meego-im-framework 0.20.10-1

=== debian/changelog ===
meego-im-framework (0.20.10-1) unstable; urgency=low

  * New release

 -- Aapo Kojo <aapo.kojo@nokia.com>  Wed, 11 May 2011 15:49:40 +0300

meego-im-framework (0.20.9-1) unstable; urgency=low

  * Fixes: NB#242682 - Text input settings crashes during close if "Active input method" or "Installed keyboard" is being opened

 -- Ning Chi <ext-chi.2.ning@nokia.com>  Mon, 09 May 2011 11:15:40 +0300

meego-im-framework (0.20.8-1) unstable; urgency=low

  * Fixes: NB#227268 - [Performance] Virtual keyboard orientation switching is too slow

 -- Ning Chi <ext-chi.2.ning@nokia.com>  Thu, 28 Apr 2011 13:27:35 +0300

meego-im-framework (0.20.7-1) unstable; urgency=low

  * Fixes: NB#241274 - VKB's self-composition breaks application UI while navigating between two MApplicationWindows
  * Fixes: SIP is open, focus is lost, immediately request SIP => SIP remains open
  * Changes: allow (non-pre-edit) cursor position to be set in pre-edit update

 -- Ning Chi <ext-chi.2.ning@nokia.com>  Wed, 06 Apr 2011 16:32:51 +0300

meego-im-framework (0.20.6-1) unstable; urgency=low

  * Fixes: NB#237663 - <Other><UnitTest> proper debug symbols not available for meego-im-framework-tests

 -- Ning Chi <ext-chi.2.ning@nokia.com>  Wed, 06 Apr 2011 14:37:04 +0300

meego-im-framework (0.20.5-1) unstable; urgency=low

  * Fixes: NB#238370 - <Safety> Invalid read reported in meego-im-uiserver valgrind logs

 -- huaming wang <huaming.wang@nokia.com>  Wed, 30 Mar 2011 10:35:01 +0300

meego-im-framework (0.20.4-1) unstable; urgency=low

  * Fixes: Rotation animation rotates to wrong orientation under high CPU load.
  * Fixes: NB#235179 - [SSU]:Error seen at 'ToolbarsManager: toolbar load error: "/usr/share/meegoimframework/imtoolbars/standard.xml" '

 -- Rakesh Cherian <ext-rakesh.cherian@nokia.com>  Wed, 24 Mar 2011 12:37:37 +0200

meego-im-framework (0.20.3-1) unstable; urgency=low

  * Fixes: NB#237804 - Unable to view the entered text in any composer

 -- Kimmo Surakka <kimmo.surakka@nokia.com>  Mon, 21 Mar 2011 11:39:00 +0200

meego-im-framework (0.20.2-1) unstable; urgency=low

  * Fixes: NB#235678 - Orientation out of sync after rotation, then switching plugins
  * Fixes: NB#235607 - Text input settings view has too large title font

 -- Ning Chi <ext-chi.2.ning@nokia.com>  Wed, 16 Mar 2011 15:37:30 +0200

meego-im-framework (0.20.1-1) unstable; urgency=low

  * Fixes: NB#231633 - [TASK] Improve Rotation Appearance of VKB

 -- Rakesh Cherian <ext-rakesh.cherian@nokia.com>  Fri, 11 Mar 2011 11:31:00 +0200

meego-im-framework (0.20.0-1) unstable; urgency=low

  * New: Remove LMT dependencies from public API

 -- Rakesh Cherian <ext-rakesh.cherian@nokia.com>  Tue, 08 Mar 2011 15:24:00 +0200

meego-im-framework (0.19.47-1) unstable; urgency=low

  * Implemented attribute extension machinery.
  * New API: MAbstractInputMethod::setKeyOverrides
  * Fixes: NB#223052 - Unreadable fonts in Text input settings (superseeds old fix)

 -- Kimmo Surakka <kimmo.surakka@nokia.com>  Fri, 04 Mar 2011 14:01:00 +0200

meego-im-framework (0.19.46-1) unstable; urgency=low

  * Fixes: NB#230421 - Settings plugin needs to be moved to Time & language category
  * Fixes: NB#223052 - Unreadable fonts in Text input settings

 -- Pekka Vuorela <pekka.ta.vuorela@nokia.com>  Wed, 02 Mar 2011 13:55:31 +0200

meego-im-framework (0.19.45-1) unstable; urgency=low

  * New release

 -- Pekka Vuorela <pekka.ta.vuorela@nokia.com>  Wed, 02 Mar 2011 13:46:34 +0200

meego-im-framework (0.19.44-1) unstable; urgency=low

  * Fix: small window shown at initial run.
  * Fixes: NB#215925 - Text input setting can not be opened from Search application


 -- huaming wang <huaming.wang@nokia.com>  Wed, 23 Feb 2011 11:36:28 +0200

meego-im-framework (0.19.43-1) unstable; urgency=low

  * New Release

 -- huaming wang <huaming.wang@nokia.com>  Thu, 17 Feb 2011 14:39:31 +0200

meego-im-framework (0.19.42-1) unstable; urgency=low

  * Fixes: NB#224974 - Virtual keyboard should be self-composited

 -- huaming wang <huaming.wang@nokia.com>  Thu, 17 Feb 2011 11:34:34 +0200

meego-im-framework (0.19.41-1) unstable; urgency=low

  * Changes: pass X key event times to im server and plugins

 -- huaming wang <huaming.wang@nokia.com>  Thu, 03 Feb 2011 10:27:23 +0200

meego-im-framework (0.19.40-1) unstable; urgency=low

  * New release

 -- huaming wang <huaming.wang@nokia.com>  Wed, 26 Jan 2011 10:33:48 +0200

meego-im-framework (0.19.39-1) unstable; urgency=low

  * Fixes: NB#194533 - Libminputcontext is creating two DBus connections for each started QT application

 -- huaming wang <huaming.wang@nokia.com>  Fri, 21 Jan 2011 12:57:43 +0200

meego-im-framework (0.19.38-1) unstable; urgency=low

  * Fixes: don't leak toolbars when a client connection is closed

 -- huaming wang <huaming.wang@nokia.com>  Tue, 04 Jan 2011 14:09:13 +0200

meego-im-framework (0.19.37-1) unstable; urgency=low

  * New release

 -- huaming wang <huaming.wang@nokia.com>  Wed, 29 Dec 2010 14:24:51 +0200

meego-im-framework (0.19.36-1) unstable; urgency=low

  * Fixes: NB#208770 - Keys under compositor input regions are not getting

 -- huaming wang <huaming.wang@nokia.com>  Tue, 21 Dec 2010 13:40:34 +0200

meego-im-framework (0.19.35-1) unstable; urgency=low

  * New release

 -- huaming wang <huaming.wang@nokia.com>  Wed, 15 Dec 2010 11:19:56 +0200

meego-im-framework (0.19.34-1) unstable; urgency=low

  * Fixes: NB#202294 - COREWEB: /usr/lib/xulrunner-2.0b8pre/plugin-container 'QObject::connect QSingleShotTimer::QSingleShotTimer QTimer::singleShot GlibDBusIMServerProxy::onDisconnection'
  * Fixes: MIC: move pre-edit injection event handling to filterEvent

 -- huaming wang <huaming.wang@nokia.com>  Tue, 07 Dec 2010 11:52:04 +0200

meego-im-framework (0.19.33-1) unstable; urgency=low

  * Changes: support query cursor rectangle from application.
  * Changes: support explicitly setting visible for toolbar button.
  * Fixes: NB#197847


