=== debian/control ===
Source: meego-im-framework
Section: libs
Priority: extra
Maintainer: Mohammad Anwari <Mohammad.Anwari@nokia.com> 
Build-Depends: debhelper (>= 5), libqt4-experimental-dev (>= 4.6), libqt4-experimental-opengl-dev, libgles2-sgx-img-dev [arm armel] | libgles2-dev [arm armel], opengles-sgx-img-common-dev [arm armel], libgl-dev [i386] | libgl1-mesa-dev [i386], libxcomposite-dev, libxfixes-dev, libxdamage-dev, libxext-dev, libdbus-glib-1-dev, libgconf2-dev, pkg-config, dpkg-dev, graphviz, doxygen
Standards-Version: 3.7.2

Package: meego-im-uiserver
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, meego-im-context
Recommends: meego-im-virtualkeyboard
Description: MeegoTouch Input Method UI Server
 MeegoTouch Input Method UI Server 

Package: meego-im-uiserver-dbg
Architecture: any
Depends: meego-im-uiserver (= ${binary:Version})
Description: MeegoTouch Input Method UI Server debug files
 Debug files for MeegoTouch Input Method UI Server 

Package: libmeegoimframework0
Architecture: any
Depends:  ${misc:Depends}, ${shlibs:Depends}, meego-im-context
Description: MeegoTouch Input Method UI Framework library
 libmimuiframework framework library

Package: libmeegoimframework-dev
Section: libdevel
Architecture: all
Depends: libmeegoimframework0 (>= ${source:Version}), libqt4-experimental-dev (>= 4.6)
Description: libmimmuiframework development files
 Development files for MeegoTouch Input Method Framework.

Package: libmeegoimframework0-dbg
Section: devel
Architecture: any
Depends: libmeegoimframework0 (= ${binary:Version})
Description: libmeegoimframework debug files
 Debug files for MeegoTouch Input Method Framework.

Package: libmeegoimframework-doc
Section: doc
Architecture: all
Description: Technical documentation of MeegoTouch Input Method Framework 
 Technical documentation of MeegoTouch Input Method Framework. 
 Includes API reference and internal documentations.

Package: libmeegoimquick0
Architecture: any
Depends:  ${misc:Depends}, ${shlibs:Depends}, libmeegoimframework0
Description: Meego Input Method Quick library
 MeeGo Input Method Quick library

Package: libmeegoimquick-dev
Section: libdevel
Architecture: all
Depends: libmeegoimquick0 (>= ${source:Version}), libmeegoimframework-dev, libqt4-experimental-dev (>= 4.6)
Description: MeeGo Input Method Quick development files
 Development files for MeeGo Input Method Quick

Package: libmeegoimquick0-dbg
Section: devel
Architecture: any
Depends: libmeegoimquick0 (= ${binary:Version})
Description: MeeGo Input Method Quick debug symbols
 Debug symbols for MeeGo Input Method Quick library

Package: meego-im-context
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt input method context for MeegoTouch Framework

Package: meego-im-context-dbg
Section: libs
Architecture: any
Depends: meego-im-context (= ${Source-Version})
Description: Debugging version of Qt input method context for MeegoTouch Framework
