## meego-im-framework 0.20.10-1fremantle1

=== debian/changelog ===
meego-im-framework (0.20.10-1fremantle1) unstable; urgency=low

  * Packaging for Fremantle

 -- Michael Hasselmann <michaelh@openismus.com>  Thu, 12 May 2011 18:32:54 +0200
