=== debian/control ===
--- 
+++ 
@@ -76,3 +76,15 @@
 Architecture: any
 Depends: meego-im-context (= ${Source-Version})
 Description: Debugging version of Qt input method context for MeegoTouch Framework
+
+Package: meego-im-demos
+Architecture: any
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Description: MeeGo Input Methods demos
+ Demos for MeeGo Input Methods
+
+Package: meego-im-demos-dbg
+Architecture: any
+Depends: meego-im-demos (= ${binary:Version})
+Description: MeeGo Input Methods demos debug symbols
+ Debug symbols for MeeGo Input Methods demos
